OpenShot Audio Library | OpenShotAudio: juce::AudioDeviceManager::AudioDeviceSetup Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::AudioDeviceManager::AudioDeviceSetup Struct Reference

`#include <juce_AudioDeviceManager.h>`

## Public Member Functions
bool | operator== (const AudioDeviceSetup &) const
bool | operator!= (const AudioDeviceSetup &) const

## Public Attributes
String | outputDeviceName
String | inputDeviceName
double | sampleRate = 0
int | bufferSize = 0
BigInteger | inputChannels
bool | useDefaultInputChannels = true
BigInteger | outputChannels
bool | useDefaultOutputChannels = true

## Detailed Description

This structure holds a set of properties describing the current audio setup.

An AudioDeviceManager uses this class to save/load its current settings, and to specify your preferred options when opening a device.

See also
  AudioDeviceManager::setAudioDeviceSetup(), AudioDeviceManager::initialise()

Definition at line 90 of file juce_AudioDeviceManager.h.

## Member Function Documentation

## ◆ operator!=()

bool juce::AudioDeviceManager::AudioDeviceSetup::operator!= | ( | const AudioDeviceSetup & | other | ) | const

Definition at line 58 of file juce_AudioDeviceManager.cpp.

## ◆ operator==()

bool juce::AudioDeviceManager::AudioDeviceSetup::operator== | ( | const AudioDeviceSetup & | other | ) | const

Definition at line 53 of file juce_AudioDeviceManager.cpp.

## Member Data Documentation

## ◆ bufferSize

int juce::AudioDeviceManager::AudioDeviceSetup::bufferSize = 0

The buffer size, in samples. This buffer size is used for both the input and output devices. A value of 0 indicates the default buffer size.

Definition at line 115 of file juce_AudioDeviceManager.h.

Referenced by juce::AudioDeviceManager::setAudioDeviceSetup().

## ◆ inputChannels

BigInteger juce::AudioDeviceManager::AudioDeviceSetup::inputChannels

The set of active input channels. The bits that are set in this array indicate the channels of the input device that are active. If useDefaultInputChannels is true, this value is ignored.

Definition at line 122 of file juce_AudioDeviceManager.h.

Referenced by juce::AudioDeviceManager::setAudioDeviceSetup().

## ◆ inputDeviceName

String juce::AudioDeviceManager::AudioDeviceSetup::inputDeviceName

The name of the audio device used for input. This may be the same as the output device.

Definition at line 102 of file juce_AudioDeviceManager.h.

Referenced by juce::AudioDeviceManager::restartLastAudioDevice(), and juce::AudioDeviceManager::setAudioDeviceSetup().

## ◆ outputChannels

BigInteger juce::AudioDeviceManager::AudioDeviceSetup::outputChannels

The set of active output channels. The bits that are set in this array indicate the channels of the input device that are active. If useDefaultOutputChannels is true, this value is ignored.

Definition at line 135 of file juce_AudioDeviceManager.h.

Referenced by juce::AudioDeviceManager::setAudioDeviceSetup().

## ◆ outputDeviceName

String juce::AudioDeviceManager::AudioDeviceSetup::outputDeviceName

The name of the audio device used for output. The name has to be one of the ones listed by the AudioDeviceManager's currently selected device type. This may be the same as the input device.

Definition at line 97 of file juce_AudioDeviceManager.h.

Referenced by juce::AudioDeviceManager::restartLastAudioDevice(), and juce::AudioDeviceManager::setAudioDeviceSetup().

## ◆ sampleRate

double juce::AudioDeviceManager::AudioDeviceSetup::sampleRate = 0

The current sample rate. This rate is used for both the input and output devices. A value of 0 indicates that you don't care what rate is used, and the device will choose a sensible rate for you.

Definition at line 109 of file juce_AudioDeviceManager.h.

Referenced by juce::AudioDeviceManager::setAudioDeviceSetup().

## ◆ useDefaultInputChannels

bool juce::AudioDeviceManager::AudioDeviceSetup::useDefaultInputChannels = true

If this is true, it indicates that the inputChannels array should be ignored, and instead, the device's default channels should be used.

Definition at line 128 of file juce_AudioDeviceManager.h.

Referenced by juce::AudioDeviceManager::setAudioDeviceSetup().

## ◆ useDefaultOutputChannels

bool juce::AudioDeviceManager::AudioDeviceSetup::useDefaultOutputChannels = true

If this is true, it indicates that the outputChannels array should be ignored, and instead, the device's default channels should be used.

Definition at line 141 of file juce_AudioDeviceManager.h.

Referenced by juce::AudioDeviceManager::setAudioDeviceSetup().

The documentation for this struct was generated from the following files:

- juce_AudioDeviceManager.h
- juce_AudioDeviceManager.cpp